Subject: Re: bug#63662: 30.0.50; ERC 5.6: Document how to connect over SOCKS

From: Michael Albinus <[email-masked]>
Date: Thu, 01 Jun 2023 12:44:46 +0200

Corwin Brust <[email-masked]> writes:

Hi Corwin,

>> > The command I've added tries to activate `emacs-news-view-mode' if
>> > defined, but I'm not sure we can change the actual prop line because
>> > older Emacs versions we support (27+) don't seem to have the file
>> > emacs-news-mode.el.
>>
>> So we might release it on GNU ELPA? In its current version, it compiles
>> only with Emacs 29+, but it shouldn't be too hard to make it compatible
>> with older Emacs versions.
>
> Is your idea that e-n-v-m would become part of compact?

No.

> Otherwise, I think ERC would use it only when it is already installed
> (which is much the same situation as now).  AFAIK we do not install
> things (even from GNU ELPA) automatically when desired by some core
> package.

It depends. You could use it when installed (either in vanilla Emacs or
as GNU ELPA package), w/o requiring it.

Best regards, Michael.